// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import auth from './auth'

// Semantic UI
import '../node_modules/semantic-ui-css/semantic.min.css'

// Grid import
import Grid from './components/Grid'

// Modal import
import Modal from './components/Modal'

// Font-awesome icons import
import 'vue-awesome/icons'
import Icon from 'vue-awesome/components/Icon'

// Paginate import
import VuePaginate from 'vue-paginate'

// Multiselect import
import Multiselect from 'vue-multiselect'

// Multiselect globally
Vue.component('multiselect', Multiselect)

// Icons setup
Vue.component('icon', Icon)

// Check the user's auth status when the app starts
auth.checkAuth()

// Register Grid component
Vue.component('grid', Grid)

// Register Grid component
Vue.component('modal', Modal)

// Paginate setup
Vue.use(VuePaginate)

/*
webpack.ProvidePlugin({
  // jquery
  $: 'jquery',
  jQuery: 'jquery',
  // semantic-ui
  semantic: 'semantic-ui-css'
}) */

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  template: '<App/>',
  components: { App }
})
